<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class SelectedByTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('selectedBy.name')
            ->translateLabel()
            ->sortable(['selectedBy.name'])
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
